package kr.co.hanwha.hifive.data.source.contract;

import android.content.Context;
import android.support.annotation.NonNull;

import java.util.ArrayList;

import kr.co.hanwha.hifive.base.BaseDataSource;
import kr.co.hanwha.hifive.data.model.MemberInfoData;
import kr.co.hanwha.hifive.network.hanwha.HanwhaNetworkCallback;

public interface TaskMemberDataSource extends BaseDataSource {
    void setSelectMember(MemberInfoData data);

    void setUnverifiedMemberInfo();

    void setVerifyMemberInfo();

    MemberInfoData getUnverifyMemberInfo();

    int getSelectedMemberid();

    ArrayList<MemberInfoData> getSelectedMemberList();

    ArrayList<MemberInfoData> getUnverifySelectedMemberList();

    /**
     * 전체 Member 목록
     *
     * @param context  Context
     * @param callback 콜백
     */
    void requestAllMember(@NonNull Context context, @NonNull HanwhaNetworkCallback callback);
}
